package com.chenyang.druid.sql.dialect.gauss.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.ast.statement.SQLCreateStatement;
import com.chenyang.druid.sql.ast.statement.SQLUpdateSetItem;
import com.chenyang.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class GaussAlterTableSpaceStatement extends SQLStatementImpl implements SQLCreateStatement {
   private SQLName tableSpaceName;
   private SQLName newTableSpaceName;
   private boolean ownerTo;
   private boolean renameTo;
   private SQLName ownerName;
   private boolean resizeMaxsize;
   private boolean unlimited;
   private SQLName spaceSize;
   private List<SQLUpdateSetItem> parameterList = new ArrayList();

   public GaussAlterTableSpaceStatement() {
      this.dbType = DbType.gauss;
   }

   public SQLName getNewTableSpaceName() {
      return this.newTableSpaceName;
   }

   public void setNewTableSpaceName(SQLName newTableSpaceName) {
      this.newTableSpaceName = newTableSpaceName;
   }

   public boolean isOwnerTo() {
      return this.ownerTo;
   }

   public void setOwnerTo(boolean ownerTo) {
      this.ownerTo = ownerTo;
   }

   public boolean isRenameTo() {
      return this.renameTo;
   }

   public void setRenameTo(boolean renameTo) {
      this.renameTo = renameTo;
   }

   public boolean isResizeMaxsize() {
      return this.resizeMaxsize;
   }

   public void setResizeMaxsize(boolean resizeMaxsize) {
      this.resizeMaxsize = resizeMaxsize;
   }

   public boolean isUnlimited() {
      return this.unlimited;
   }

   public void setUnlimited(boolean unlimited) {
      this.unlimited = unlimited;
   }

   public SQLName getSpaceSize() {
      return this.spaceSize;
   }

   public void setSpaceSize(SQLName spaceSize) {
      this.spaceSize = spaceSize;
   }

   public SQLName getTableSpaceName() {
      return this.tableSpaceName;
   }

   public void setTableSpaceName(SQLName tableSpaceName) {
      this.tableSpaceName = tableSpaceName;
   }

   public SQLName getOwnerName() {
      return this.ownerName;
   }

   public void setOwnerName(SQLName ownerName) {
      this.ownerName = ownerName;
   }

   public List<SQLUpdateSetItem> getParameterList() {
      return this.parameterList;
   }

   public void setParameterList(List<SQLUpdateSetItem> parameterList) {
      this.parameterList = parameterList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
   }
}
